/** @file cocoa_seldrvpanel.h

 HITACHI BASIC MASTER LEVEL3 Mark5 Emulator 'EmuB-6892'
 Skelton for retropc emulator
 SDL edition + Cocoa GUI

 @author Sasaji
 @date   2015.12.12 -

 @brief [ select drive panel ]
 */

#ifndef _COCOA_SELDRVPANEL_H_
#define _COCOA_SELDRVPANEL_H_

#import <Cocoa/Cocoa.h>
#import "cocoa_basepanel.h"

@interface CocoaSelDrvPanel : CocoaBasePanel
{
	int selectedDrive;
}
@property (nonatomic) int selectedDrive;
- (id)initWithPrefix:(int)defdrv prefix:(const char *)prefix;
- (NSInteger)runModal;
- (void)close;
- (void)dialogOk:(id)sender;
@end

#endif /* _COCOA_SELDRVPANEL_H_ */
