/** @file cocoa_volumepanel.h

 HITACHI BASIC MASTER LEVEL3 Mark5 Emulator 'EmuB-6892'
 Skelton for retropc emulator
 SDL edition + Cocoa GUI

 @author Sasaji
 @date   2015.04.30 -

 @brief [ volume panel ]
 */

#ifndef _COCOA_VOLUMEPANEL_H_
#define _COCOA_VOLUMEPANEL_H_

#import <Cocoa/Cocoa.h>
#import "cocoa_basepanel.h"

@interface CocoaVolumePanel : CocoaBasePanel
- (id)init;
- (NSInteger)runModal;
- (void)close;
- (void)dialogClose:(id)sender;

- (bool)mute:(int)idx;
- (int)volume:(int)idx;

- (void)changeSlider:(CocoaSlider *)sender;
- (void)changeMute:(CocoaCheckBox *)sender;
@end

#endif /* _COCOA_VOLUMEPANEL_H_ */
