/** @file gtk_folderbox.h

	HITACHI BASIC MASTER LEVEL3 Mark5 Emulator 'EmuB-6892'
	Skelton for retropc emulator

	@author Sasaji
	@date   2015.05.10 -

	@brief [ folder box ]
*/

#ifndef _GUI_GTK_FOLDERBOX_H_
#define _GUI_GTK_FOLDERBOX_H_

#include <gtk/gtk.h>

namespace GUI_GTK_X11
{

class FolderBox
{
private:
	GtkWidget *window;
	GtkWidget *dialog;
	char *selected_folder;

public:
	FolderBox(GtkWidget *parent_window);
	~FolderBox();
	bool Show(const char *title, const char *path = NULL);

	const char *GetPath();
};

}; /* namespace GUI_GTK_X11 */

#endif /* _GUI_GTK_FOLDERBOX_H_ */
