/** @file win_folderbox.h

	HITACHI BASIC MASTER LEVEL3 Mark5 Emulator 'EmuB-6892'
	Skelton for retropc emulator

	@author Sasaji
	@date   2015.03.21 -

	@brief [ folder box ]
*/

#ifndef _FOLDERBOX_H_
#define _FOLDERBOX_H_

#include <Windows.h>
#include <Shlobj.h>
#include <tchar.h>

namespace GUI_WIN
{

class FolderBox
{
private:
	HWND hWnd;

	static int CALLBACK ProcSHBrowseForFolder(HWND, UINT, LPARAM, LPARAM);

public:
	FolderBox(HWND parent_window);
	~FolderBox();
	bool Show(const _TCHAR *title, _TCHAR *path);
	bool ShowSHBrowseForFolder(const _TCHAR *title, _TCHAR *path);
	bool ShowIFileDialog(const _TCHAR *title, _TCHAR *path);
};

}; /* namespace GUI_WIN */

#endif /* _FOLDERBOX_H_ */
