/** @file win_fontbox.h

	HITACHI BASIC MASTER LEVEL3 Mark5 Emulator 'EmuB-6892'
	Skelton for retropc emulator

	@author Sasaji
	@date   2015.03.21 -

	@brief [ font box ]
*/

#ifndef _FONTBOX_H_
#define _FONTBOX_H_

#include <Windows.h>
#include <tchar.h>

namespace GUI_WIN
{

class FontBox
{
private:
	HWND hWnd;

public:
	FontBox(HWND parent_window);
	~FontBox();
	bool Show(const _TCHAR *title, LOGFONT *lf, _TCHAR *font_name, double *font_size);
};

}; /* namespace GUI_WIN */

#endif /* _FONTBOX_H_ */
