/** @file version.h

	Skelton for retropc emulator
	SDL edition

	@author Sasaji
	@date   2012.03.08

	@brief [ version info ]
*/

#ifndef _VERSION_H_
#define _VERSION_H_

#define APP_NAME		"HITACHI BASIC MASTER LEVEL3 MARK5 Emulator"
#define APP_FILENAME	"bml3mk5.exe"
#define APP_INTERNAME	"EmuB-6892"
#define APP_COPYRIGHT	"Copyright (C) 2012-2017 Common Source Code Project, Sasaji"
#define APP_VERSION		"1.5.3.1310"
#define APP_VER_MAJOR	1
#define APP_VER_MINOR	5
#define APP_VER_REV		3
#define APP_VER_BUILD	1310

#if defined(__MINGW32__)
#ifdef x86_64
#define PLATFORM "Windows(MinGW) 64bit"
#elif i386
#define PLATFORM "Windows(MinGW) 32bit"
#else
#define PLATFORM "Windows(MinGW)"
#endif
#elif defined(_WIN32)
#if defined(_WIN64) || defined(_M_X64)
#define PLATFORM "Windows 64bit"
#else
#define PLATFORM "Windows 32bit"
#endif
#elif defined(linux)
#ifdef __x86_64
#define PLATFORM "Linux 64bit"
#elif __i386
#define PLATFORM "Linux 32bit"
#else
#define PLATFORM "Linux"
#endif
#elif defined(__APPLE__) && defined(__MACH__)
#ifdef __x86_64
#define PLATFORM "MacOSX 64bit"
#elif __i386
#define PLATFORM "MacOSX 32bit"
#else
#define PLATFORM "MacOSX"
#endif
#elif defined(__FreeBSD__)
#ifdef __x86_64
#define PLATFORM "FreeBSD 64bit"
#elif __i386
#define PLATFORM "FreeBSD 32bit"
#else
#define PLATFORM "FreeBSD"
#endif
#else
#define PLATFORM "Unknown"
#endif

#endif /* _VERSION_H_ */
