#!/bin/sh

make_all() {
	if [ "$2" = "" ]; then
		make -f Makefile.$1 st_clean
	fi
	make -f Makefile.$1 st_install
}

svn update
cd source
UNAME=`uname -s`
if [ "$UNAME" = "Darwin" ]; then
	make_all mac_cocoa $1
	make_all mac_cocoa_dbgr $1
	make_all mac_agar $1
	make_all mac_cocoa2 $1
fi
if [ "$UNAME" = "Linux" ]; then
	make_all linux_agar $1
	make_all linux_gtk_x11 $1
	make_all linux_gtk_x11_dbgr $1
	make_all linux_gtk_x11_2 $1
	make_all linux_gtk_sdl $1
fi
if [ "${UNAME:0:5}" = "MINGW" ]; then
	make_all win_agar $1
	make_all win_gui $1
#	make_all win_gui2 $1
fi

