/** @file gtk_main.h

	Skelton for retropc emulator
	GTK+ + SDL edition

	@author Sasaji
	@date   2017.1.27

	@brief [ gtk_main ]
*/

#ifndef _GTK_MAIN_H_
#define _GTK_MAIN_H_

#include <SDL.h>
#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <gdk/gdkx.h>

#ifdef _WIN32
#define RESDIR "res\\"
#elif defined(__APPLE__) && defined(__MACH__)
#define RESDIR "../Resources/"
#else
#define RESDIR "res/"
#endif

// signal to main loop
extern bool need_update;
extern SDL_cond *cond_allow_update_screen;

// frame rate
extern const int fps[6];
extern const int fskip[6];
extern int rec_fps_no;

#endif	/* _SDL_MAIN_H_ */
