/** @file gtk_volumebox.h

	HITACHI BASIC MASTER LEVEL3 Mark5 Emulator 'EmuB-6892'
	Skelton for retropc emulator

	@author Sasaji
	@date   2015.05.10 -

	@brief [ volume box ]
*/

#ifndef _GUI_GTK_VOLUMEBOX_H_
#define _GUI_GTK_VOLUMEBOX_H_

#include <gtk/gtk.h>
#include "gtk_dialogbox.h"

namespace GUI_GTK_X11
{

class VolumeBox : public DialogBox
{
private:
	void SetVolume(int index, int value);
	int  GetVolume(int index);
	void SetMute(int index, bool value);
	bool GetMute(int index);
	static void OnChangeVolume(GtkWidget *widget, gpointer user_data);
	static void OnChangeMute(GtkWidget *widget, gpointer user_data);
	static void OnResponse(GtkWidget *widget, gint response_id, gpointer user_data);

public:
	VolumeBox(GUI *new_gui);
	~VolumeBox();
	bool Show(GtkWidget *parent_window);
};

}; /* namespace GUI_GTK_X11 */

#endif /* _GUI_GTK_VOLUMEBOX_H_ */
