/** @file gtk_x11_key_trans.h

	HITACHI BASIC MASTER LEVEL3 Mark5 Emulator 'EmuB-6892'
	Skelton for retropc emulator

	@author Sasaji
	@date   2015.05.10 -

	@brief [ gtk(x11) to SDL key translate ]
*/

#ifndef _GUI_GTK_X11_KEY_TRANS_H_
#define _GUI_GTK_X11_KEY_TRANS_H_

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/keysym.h>
//#include <gtk/gtk.h>

namespace GUI_GTK_X11
{

void X11_InitKeymap(void);

Uint32 X11_TranslateKeycode(Display *display, KeyCode kc);

}; /* namespace GUI_GTK_X11 */

#endif /* _GUI_GTK_X11_KEY_TRANS_H_ */

