/** @file win_aboutbox.h

	HITACHI BASIC MASTER LEVEL3 Mark5 Emulator 'EmuB-6892'
	Skelton for retropc emulator

	@author Sasaji
	@date   2015.01.21 -

	@brief [ about box ]
*/

#ifndef _ABOUTBOX_H_
#define _ABOUTBOX_H_

#include <Windows.h>
#include "win_dialogbox.h"

namespace GUI_WIN
{

class AboutBox : public CDialogBox
{
private:
	INT_PTR onInitDialog(UINT, WPARAM, LPARAM);

public:
	AboutBox(HINSTANCE hinst, CFont *new_font, EMU *new_emu, GUI *new_gui);
	~AboutBox();
};

}; /* namespace GUI_WIN */

#endif /* _ABOUTBOX_H_ */
