/** @file win_filebox.h

	HITACHI BASIC MASTER LEVEL3 Mark5 Emulator 'EmuB-6892'
	Skelton for retropc emulator

	@author Sasaji
	@date   2015.03.21 -

	@brief [ file box ]
*/

#ifndef _FILEBOX_H_
#define _FILEBOX_H_

#include <Windows.h>
#include <tchar.h>

namespace GUI_WIN
{

class FileBox
{
private:
	HWND hWnd;
	DWORD flags;

	_TCHAR selected_file[_MAX_PATH];

public:
	FileBox(HWND parent_window);
	~FileBox();
	bool Show(const _TCHAR *filter[], const _TCHAR *title, const _TCHAR *dir, const _TCHAR *ext, bool save, _TCHAR *path = NULL);

	DWORD GetFlags() { return flags; }
//	void  SetFlags(DWORD value) { flags = value; }
	const _TCHAR *GetPath() { return selected_file; }
};

}; /* namespace GUI_WIN */

#endif /* _FILEBOX_H_ */
