/** @file win_seldrvbox.h

	Skelton for retropc emulator

	@author Sasaji
	@date   2015.12.06 -

	@brief [ select drive box ]
*/

#ifndef _SELDRVBOX_H_
#define _SELDRVBOX_H_

#include <windows.h>
#include "win_dialogbox.h"
#include "../../config.h"

namespace GUI_WIN
{

/**
	@brief select drive dialog
*/
class SelDrvBox : public CDialogBox
{
private:
	int def_drv;
	_TCHAR prefix[32];

	INT_PTR onInitDialog(UINT, WPARAM, LPARAM);
	INT_PTR onCommand(UINT, WPARAM, LPARAM);

public:
	SelDrvBox(HINSTANCE, CFont *, EMU *, GUI *);
	~SelDrvBox();
	void SetDrive(int);
	void SetPrefix(const _TCHAR *);
};

}; /* namespace GUI_WIN */

#endif /* _SELDRVBOX_H_ */
