/** @file parseopt.h

	Skelton for retropc emulator

	@author Sasaji
	@date   2015.05.18 -

	@brief [ parse options ]
*/

#ifndef _PARSE_OPT_H_
#define _PARSE_OPT_H_

#include "common.h"
#include "gui/gui.h"

int get_options(int ac, char *av[]);
void open_recent_file(GUI *gui);

const _TCHAR *get_app_path();
const _TCHAR *get_app_name();
const _TCHAR *get_ini_path();
const _TCHAR *get_ini_file();
const _TCHAR *get_res_path();

#endif /* _PARSE_OPT_H_ */