/** @file png_rec_video.h
 
 Skelton for retropc emulator
 
 @author Sasaji
 @date   2016.12.10 -
 
 @brief [ record video using libpng ]
 */

#ifndef _PNG_RECORD_VIDEO_H_
#define _PNG_RECORD_VIDEO_H_

#include "../../common.h"

#if defined(USE_REC_VIDEO) && defined(USE_REC_VIDEO_LIBPNG)

class EMU;
class REC_VIDEO;
class CSurface;

class PNG_REC_VIDEO
{
private:
	EMU *emu;
	REC_VIDEO *vid;

public:
	PNG_REC_VIDEO(EMU *new_emu, REC_VIDEO *new_vid);
	~PNG_REC_VIDEO();

	bool Capture(int type, CSurface *surface, const char *file_name);

};

#endif /* USE_REC_VIDEO && USE_REC_VIDEO_LIBPNG */

#endif /* _PNG_RECORD_VIDEO_H_ */
